complexType "RequestValuationReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 14 elements
Defined: | globally in fpml-valuation-reporting-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, isCorrection?, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, reportContents?, asOfDate?, party*, account*, market?, portfolioValuationItem*, tradeValuationItem*
</...>

Content Model Elements (14):

  account,
  asOfDate (in requestValuationReport),
  correlationId,
  header (defined in RequestMessage complexType),
  isCorrection (defined in CorrectableRequestMessage complexType),
  market,
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  portfolioValuationItem (in requestValuationReport),
  reportContents (in requestValuationReport),
  sequenceNumber (defined in Sequence.model group),
  tradeValuationItem (in requestValuationReport),
  validation

All Direct / Indirect Based Elements (1):

  requestValuationReport

Known Usage Locations

- As direct type of elements (1):
  requestValuationReport

Annotation
A type defining the content model for a message allowing one party a report containing valuations of one or many existing trades.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) RequestValuationReport

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="RequestValuationReport"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:group ref="PartiesAndAccounts.model"/> <xsd:element minOccurs="0" ref="market"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolioValuationItem" type="PortfolioValuationItem"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeValuationItem" type="TradeValuationItem"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/14)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this report is requested.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

market

  Type: | Market, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="market"/>

portfolioValuationItem

  Type: | PortfolioValuationItem, complex content

  An instance of a unique portfolio valuation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolioValuationItem" type="PortfolioValuationItem"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics to be included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

tradeValuationItem

  Type: | TradeValuationItem, complex content

  An instance of a unique trade valuation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeValuationItem" type="TradeValuationItem"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.